# DataExchange
TKXSBase
TransferBRep

# TransferBRep_ShapeListBinder Class Reference

This binder binds several (a list of) shapes with a starting
entity, when this entity itself corresponds to a simple list
of shapes. Each part is not seen as a sub-result of an
independant componant, but as an item of a built-in list
.

`#include <TransferBRep_ShapeListBinder.hxx>`

Inheritance diagram for TransferBRep_ShapeListBinder:

[legend]

## Public Member Functions

Standard_EXPORT | TransferBRep_ShapeListBinder ()
Standard_EXPORT | TransferBRep_ShapeListBinder (const Handle(TopTools_HSequenceOfShape)&list)
virtual Standard_EXPORT Standard_Boolean | IsMultiple () const
| Returns True if a Binder has several results, either by itself or because it has next results Can be defined by sub-classes. .
Standard_EXPORT Handle_Standard_Type | ResultType () const
| Returns the Type which characterizes the Result (if known) .
Standard_EXPORT Standard_CString | ResultTypeName () const
| Returns the Name of the Type which characterizes the Result Can be returned even if ResultType itself is unknown .
Standard_EXPORT void | AddResult (const TopoDS_Shape &res)
| Adds an item to the result list .
Standard_EXPORT Handle_TopTools_HSequenceOfShape | Result () const
Standard_EXPORT void | SetResult (const Standard_Integer num, const TopoDS_Shape &res)
| Changes an already defined sub-result .
Standard_EXPORT Standard_Integer | NbShapes () const
Standard_EXPORT const TopoDS_Shape & | Shape (const Standard_Integer num) const
Standard_EXPORT TopAbs_ShapeEnum | ShapeType (const Standard_Integer num) const
Standard_EXPORT TopoDS_Vertex | Vertex (const Standard_Integer num) const
Standard_EXPORT TopoDS_Edge | Edge (const Standard_Integer num) const
Standard_EXPORT TopoDS_Wire | Wire (const Standard_Integer num) const
Standard_EXPORT TopoDS_Face | Face (const Standard_Integer num) const
Standard_EXPORT TopoDS_Shell | Shell (const Standard_Integer num) const
Standard_EXPORT TopoDS_Solid | Solid (const Standard_Integer num) const
Standard_EXPORT TopoDS_CompSolid | CompSolid (const Standard_Integer num) const
Standard_EXPORT TopoDS_Compound | Compound (const Standard_Integer num) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TopTools_HSequenceOfShape | theres

## Constructor & Destructor Documentation

Standard_EXPORT TransferBRep_ShapeListBinder::TransferBRep_ShapeListBinder | ( |  | ) |

Standard_EXPORT TransferBRep_ShapeListBinder::TransferBRep_ShapeListBinder | ( | const Handle(TopTools_HSequenceOfShape)& | list | ) |

## Member Function Documentation

Standard_EXPORT void TransferBRep_ShapeListBinder::AddResult | ( | const TopoDS_Shape & | res | ) |

Standard_EXPORT TopoDS_Compound TransferBRep_ShapeListBinder::Compound | ( | const Standard_Integer | num | ) | const

Standard_EXPORT TopoDS_CompSolid TransferBRep_ShapeListBinder::CompSolid | ( | const Standard_Integer | num | ) | const

Standard_EXPORT TopoDS_Edge TransferBRep_ShapeListBinder::Edge | ( | const Standard_Integer | num | ) | const

Standard_EXPORT TopoDS_Face TransferBRep_ShapeListBinder::Face | ( | const Standard_Integer | num | ) | const

Standard_EXPORT const TransferBRep_ShapeListBinder::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Transfer_Binder.

virtual Standard_EXPORT Standard_Boolean TransferBRep_ShapeListBinder::IsMultiple | ( |  | ) | const`[virtual]`

| Reimplemented from Transfer_Binder.

Standard_EXPORT Standard_Integer TransferBRep_ShapeListBinder::NbShapes | ( |  | ) | const

Standard_EXPORT Handle_TopTools_HSequenceOfShape TransferBRep_ShapeListBinder::Result | ( |  | ) | const

Standard_EXPORT Handle_Standard_Type TransferBRep_ShapeListBinder::ResultType | ( |  | ) | const`[virtual]`

| Implements Transfer_Binder.

Standard_EXPORT Standard_CString TransferBRep_ShapeListBinder::ResultTypeName | ( |  | ) | const`[virtual]`

| Implements Transfer_Binder.

Standard_EXPORT void TransferBRep_ShapeListBinder::SetResult | ( | const Standard_Integer | num,
|  | const TopoDS_Shape & | res
| ) |

Standard_EXPORT const TopoDS_Shape& TransferBRep_ShapeListBinder::Shape | ( | const Standard_Integer | num | ) | const

Standard_EXPORT TopAbs_ShapeEnum TransferBRep_ShapeListBinder::ShapeType | ( | const Standard_Integer | num | ) | const

Standard_EXPORT TopoDS_Shell TransferBRep_ShapeListBinder::Shell | ( | const Standard_Integer | num | ) | const

Standard_EXPORT TopoDS_Solid TransferBRep_ShapeListBinder::Solid | ( | const Standard_Integer | num | ) | const

Standard_EXPORT TopoDS_Vertex TransferBRep_ShapeListBinder::Vertex | ( | const Standard_Integer | num | ) | const

Standard_EXPORT TopoDS_Wire TransferBRep_ShapeListBinder::Wire | ( | const Standard_Integer | num | ) | const

## Field Documentation

Handle_TopTools_HSequenceOfShape TransferBRep_ShapeListBinder::theres `[private]`

The documentation for this class was generated from the following file:

- TransferBRep_ShapeListBinder.hxx